Bug 235294 - astro/opencpn: fix build with GCC-based architectures
Summary: astro/opencpn: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-29 12:33 UTC by Piotr Kubaj
Modified: 2019-02-18 01:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ml)


Attachments
patch (703 bytes, patch)
2019-01-29 12:33 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-01-29 12:33:18 UTC
Created attachment 201502 [details]
patch

GCC architectures don't support SSE, SSSE or AVX. Don't use them on GCC architectures to fix build.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 ml 2019-02-07 15:20:17 UTC
Sorry for taking so long.

I have nothing against this patch:
_ on amd64, the port compiles and runs with or without it;
_ I don't have a PowerPC, so I cannot test this; I'll trust you it's required and it works.

So, please, go ahead and commit it.



Just out of curiosity why were gl and gnome added to USES?
Probably it's my fault not putting them there in the first place, but I don't understand what they buy.
Thanks.
Comment 2 Piotr Kubaj freebsd_committer 2019-02-08 07:27:32 UTC
(In reply to ml from comment #1)
They were added because it's now necessary to set USES=gl or USES=gnome when USE_GL or USE_GNOME is set.
Comment 3 commit-hook freebsd_committer 2019-02-18 01:42:05 UTC
A commit references this bug:

Author: linimon
Date: Mon Feb 18 01:41:19 UTC 2019
New revision: 493234
URL: https://svnweb.freebsd.org/changeset/ports/493234

Log:
  GCC architectures don't support SSE, SSSE or AVX.  Don't use them on GCC-based
  architectures to fix build.

  While here, set USES= gl gnome as per modern standards, and pet portlint.

  PR:		235294
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/astro/opencpn/Makefile